from turtle import *
t=Turtle()
t.speed(1)
t.hideturtle()
t.pensize(2)

# calculate the midpoint of line segment
def midpoint(pt1,pt2):
  return ((pt1[0] + pt2[0])/2, (pt1[1] + pt2[1])/2)

# plot point
def plot_point(pt):
  t.penup()
  t.goto(pt)
  t.pendown()
  t.dot(10)

# the triangle verticies
v1 = (25,75)
v2 = (-125,-75)
v3 = (100,-50)

# calculate the centroid
centroid =((v1[0]+v2[0]+v3[0])/3,(v1[1]+v2[1]+v3[1])/3)

# calculate the midpoints
mid_1_2 = midpoint(v1,v2)
mid_2_3 = midpoint(v2,v3)
mid_1_3 = midpoint(v1,v3)

# draw the triangle in black
t.penup()
t.goto(v1)
t.pendown()
t.goto(v2)
t.goto(v3)
t.goto(v1)

# draw the three median segments in green
t.pencolor(0,255,0)

t.penup()
t.goto(mid_1_2)
t.pendown()
t.goto(v3)

t.penup()
t.goto(mid_2_3)
t.pendown()
t.goto(v1)

t.penup()
t.goto(mid_1_3)
t.pendown()
t.goto(v2)

# draw the centroid in red
t.pencolor(255,0,0)
plot_point(centroid)

# draw the midpoints in blue
t.pencolor(0,0,255)
plot_point(mid_1_2)
plot_point(mid_2_3)
plot_point(mid_1_3)

t.done()